﻿using DataSharing.Share.Dtos.Province;
using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos
{
    /// <summary>
    /// 请求参数
    /// </summary>
    public class SendRequestModel
    {
        /// <summary>
        /// token
        /// </summary>
        [JsonPropertyName("token")]
        public ClientInfo ClientInfo { get; set; }

        /// <summary>
        /// 请求参数
        /// </summary>
        [JsonPropertyName("paras")]
        public string Data { get; set; }
    }

    /// <summary>
    /// 批量提交数据
    /// </summary>
    public class SendRequestListModel
    {
        [JsonPropertyName("jsonList")]
        public IReadOnlyList<string> JsonList { get; set; }
    }
}
